org.apache.catalina.ha.session

## Class SessionIDMessage

- java.lang.Object
- - org.apache.catalina.ha.ClusterMessageBase
  - - org.apache.catalina.ha.session.SessionIDMessage

All Implemented Interfaces:
  Serializable, ClusterMessage

Deprecated.
Will be removed in Tomcat 8.0.x

    @Deprecated
    public class SessionIDMessage
    extends ClusterMessageBase

Session id change cluster message

Author:
  Peter Rossbach
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.catalina.ha.ClusterMessageBase

`address`

### Constructor Summary

Constructors
Constructor and Description
`SessionIDMessage()` Deprecated.

### Method Summary

Methods
`String` `getBackupSessionID()` Deprecated.
`String` `getContextName()` Deprecated.
`String` `getHost()` Deprecated.
`int` `getMessageNumber()` Deprecated.
`String` `getOrignalSessionID()` Deprecated.
`String` `getUniqueId()` Deprecated.
`void` `setBackupSessionID(String backupSessionID)` Deprecated.
`void` `setContextName(String contextName)` Deprecated.
`void` `setHost(String host)` Deprecated.
`void` `setMessageNumber(int messageNumber)` Deprecated.
`void` `setOrignalSessionID(String orignalSessionID)` Deprecated.
`String` `toString()` Deprecated.

### Methods inherited from class org.apache.catalina.ha.ClusterMessageBase

`getAddress, getTimestamp, setAddress, setTimestamp, setUniqueId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SessionIDMessage

    public SessionIDMessage()

Deprecated.

### Method Detail

#### getUniqueId

    public String getUniqueId()

Deprecated.

Specified by:
  `getUniqueId` in interface `ClusterMessage`
Overrides:
  `getUniqueId` in class `ClusterMessageBase`

#### getHost

    public String getHost()

Deprecated.

Returns:
  Returns the host.

#### setHost

    public void setHost(String host)

Deprecated.

Parameters:
  `host` - The host to set.

#### getContextName

    public String getContextName()

Deprecated.

Returns:
  Returns the context name.

#### setContextName

    public void setContextName(String contextName)

Deprecated.

Parameters:
  `contextName` - The context name to set.

#### getMessageNumber

    public int getMessageNumber()

Deprecated.

Returns:
  Returns the messageNumber.

#### setMessageNumber

    public void setMessageNumber(int messageNumber)

Deprecated.

Parameters:
  `messageNumber` - The messageNumber to set.

#### getBackupSessionID

    public String getBackupSessionID()

Deprecated.

Returns:
  Returns the backupSessionID.

#### setBackupSessionID

    public void setBackupSessionID(String backupSessionID)

Deprecated.

Parameters:
  `backupSessionID` - The backupSessionID to set.

#### getOrignalSessionID

    public String getOrignalSessionID()

Deprecated.

Returns:
  Returns the orignalSessionID.

#### setOrignalSessionID

    public void setOrignalSessionID(String orignalSessionID)

Deprecated.

Parameters:
  `orignalSessionID` - The orignalSessionID to set.

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`